import React, { ChangeEvent, ReactElement } from "react";
import "bootstrap-icons/font/bootstrap-icons.css";
declare type EditorProps = {
    showActionbar: boolean;
    getActionBar: () => ReactElement;
    onChange: (event: ChangeEvent<HTMLDivElement>) => void;
    onMouseUp: (event: React.MouseEvent<HTMLDivElement>) => void;
    onPaste: (event: React.ClipboardEvent<HTMLDivElement>) => void;
    onAddImage: (imageUrl: string, editor: HTMLDivElement | null, lastPosition: SelectionHistory | null) => void;
};
export declare type SelectionHistory = {
    node?: Node | null;
    offset?: number;
};
export declare const Editor: (props: EditorProps) => JSX.Element;
export {};
